### Class

# Gio BytesIcon

since: 2.38

#### Description

    final class Gio.BytesIcon : GObject.Object
      implements Gio.Icon, Gio.LoadableIcon {
      /* No available fields */
    }

`GBytesIcon` specifies an image held in memory in a common format (usually PNG) to be used as icon.

Available since: 2.38

#### Ancestors

- GObject

#### Implements

- GIcon
- GLoadableIcon

#### Constructors

###### g_bytes_icon_new

Creates a new icon for a bytes.

since: 2.38

#### Instance methods

###### g_bytes_icon_get_bytes

Gets the `GBytes` associated with the given `icon`.

since: 2.38

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

since: 2.0

###### g_icon_hash

Gets a hash for an icon.

since: 2.0

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

since: 2.38

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

since: 2.20

##### Methods inherited from GLoadableIcon (3)

###### g_loadable_icon_load

Loads a loadable icon. For the asynchronous version of this function, see g_loadable_icon_load_async().

since: 2.0

###### g_loadable_icon_load_async

Loads an icon asynchronously. To finish this function, see g_loadable_icon_load_finish(). For the synchronous, blocking version of this function, see g_loadable_icon_load().

since: 2.0

###### g_loadable_icon_load_finish

Finishes an asynchronous icon load started in g_loadable_icon_load_async().

since: 2.0

#### Properties

###### Gio.BytesIcon:bytes

The bytes containing the icon.

since: 2.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0